STRUCT TEMPLATE IM(3)

NAME
boost::proto::and_::impl

SYNOPSIS

// In header: <boost/proto/matches.hpp>
template<typename Expr, typename State, typename Data>
struct impl :  proto::transform_impl< Expr, State, Data > {
  // types
  typedef typename boost::result_of<Gn(Expr, State, Data)>::type result_type;
  // public member functions
  result_type operator()(typename impl::expr_param,
                         typename impl::state_param,
                         typename impl::data_param) const;
};

DESCRIPTION

  impl public member functions

    1.

    result_type operator()(typename impl::expr_param expr,
                           typename impl::state_param state,
                           typename impl::data_param data) const;

    Parameters:

        data
            A data of arbitrary type

        expr
            An expression

        state
            The current state

    Returns:
        (G0()(expr, state, data),G1()(expr, state, data),...Gn()(expr, state, data))